summaryrefslogtreecommitdiff
path: root/bg1/install-patch-us.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-us.sh')
-rwxr-xr-xbg1/install-patch-us.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
index c3fe4b0..30387c2 100755
--- a/bg1/install-patch-us.sh
+++ b/bg1/install-patch-us.sh
@@ -17,8 +17,8 @@
# BG1 official US/Canada patch
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
parseargs "$@"
@@ -28,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/bg114315.exe
-cabextract -L $TMPDIR/bg114315.exe -d $TMPDIR || diesoftly
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
+cabextract -L "${TMPDIR}/bg114315.exe" -d "$TMPDIR" || diesoftly
+unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
-cp -R $TMPDIR/english/* "$TARGETDIR" || diesoftly
+cp -R "${TMPDIR}/english/"* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"